# Viznut

Viznut (real name Ville-Matias Heikkilä) is a Finnish [demoscene](demoscene.md) programmer, [hacker](hacking.md) and [artist](art.md) that advocated high technological [minimalism](minimalism.md). He is known for example for his [countercomplex](countercomplex.md) blog, co-discovering [bytebeat](bytebeat.md) and creating [IBNIZ](ibniz.md). In his own words, he believes much more can be done with much less. He also warns of [collapse](collapse.md) (http://viznut.fi/en/future.html). According to his [Fediverse](fediverse.md) page he lives in Turku, Finland, was born around 1977 and has been programming since the age of seven.

His work is pretty based, in many ways aligned with [LRS](lrs.md), he contributed a great deal to minimalist technology. Unfortunately in some ways he also seems pretty retarded: he uses [facebook](facebook.md), [twitter](twitter.md) and [github](github.md) and also mentions "personal pronouns" on his twitter xD Pretty disappointing TBH.

His personal site is at http://viznut.fi/en/ and his blog at http://countercomplex.blogspot.com/. He collects many files at http://viznut.fi/files/, including very interesting writings about demoscene, programming experiments etc.

In 2011 he released [IBNIZ](ibniz.md), a tiny [SDL](sdl.md) [virtual machine](vm.md) and a language that's meant as a platform for creating [demos](demoscene.md). Also in 2011 he was involved in the discovery of [bytebeat](bytebeat.md), a way of creating music with extremely simple [C](c.md) expressions -- later he published a paper about it. In 2012 he founded [Skrolli](skrolli.md), a magazine about sustainable/non-consumerist technology. In about 2019 he released PC-lamerit, an animated series about 90s computer hackers, made as an executable computer program -- it looks pretty cool. He also created UNSCII, a fixed-width font usable for [ANSI art](ansi_art.md).